<?php

namespace App\Http\Controllers\V2\Dashboard;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class UserManagementController extends Controller
{
    public function index()
    {
        if (Auth::user()->can('full-user-managment') || Auth::user()->can('limited-user-management')) {
            return view('version2.dashboard_pages.user_management.list');
        }

        abort(403);
    }

    public function activityReport()
    {
        return view('version2.dashboard_pages.user_management.activity_report');
    }
}
